From: "Matthew Smith" <matthew@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/erlang/
Date: Thu, 10 Nov 2022 10:52:54 +0000 (UTC) [thread overview]
Message-ID: <1668077503.3a080390a48b6894c9c3d2d842865d5c6a6df68c.matthew@gentoo> (raw)
commit: 3a080390a48b6894c9c3d2d842865d5c6a6df68c
Author: Matthew Smith <matthew <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 10 10:51:43 2022 +0000
Commit: Matthew Smith <matthew <AT> gentoo <DOT> org>
CommitDate: Thu Nov 10 10:51:43 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3a080390
dev-lang/erlang: add 25.1.2
Also, generate documentation chunks for consumption by Erlang and
Elixir's REPL.
Closes: https://bugs.gentoo.org/28172
Co-authored-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>
Signed-off-by: Matthew Smith <matthew <AT> gentoo.org>
dev-lang/erlang/Manifest | 1 +
dev-lang/erlang/erlang-25.1.2.ebuild | 173 +++++++++++++++++++++++++++++++++++
2 files changed, 174 insertions(+)
diff --git a/dev-lang/erlang/Manifest b/dev-lang/erlang/Manifest
index cfc81cf5b1c8..b38daf7db04a 100644
--- a/dev-lang/erlang/Manifest
+++ b/dev-lang/erlang/Manifest
@@ -1,6 +1,7 @@
DIST erlang-24.3.4.2.tar.gz 59532491 BLAKE2B 28c48f1a3197a151010a775286cf0b775567301411b8480b32cfb39c68978de5586b63c245fe58bff8034ebc04fcc3b002dee7c953127ecf581ed6d716587ae4 SHA512 78bc2dc67fe60d3ea6049c361a017c054e12b0adeeae890b0a1ee5301744505593bd19f3731acebff8312b323a3bd21a1359507d122fc34f0eb85eefb3aac88c
DIST erlang-25.0.4.tar.gz 59812650 BLAKE2B cebba32e859ec4ff0868de506771449a6d5d053d50d8f4a2cf84f9bc90da1e14ae320420b3c33f6febd5977fd1ccff98b55d3ee1a0c4b90e674e912883cb0f29 SHA512 8d9d12496d55181c0d866bbd97576551d1d78232fe34b845e8efbfbd4e95ce8426e73221d8126d12453959cd8adc5e07f121aaa93f3a5696074b43c69291d363
DIST erlang-25.1.1.tar.gz 59974226 BLAKE2B f28662860533c8946429607b8123c241d3646c2c0ab2165346512c2a1b331dbaf46d978bce17b8b792a0487ad96411c2245d273381e304437724335a353093dd SHA512 7e34eca772d29132dc907181ee9829ea58a47e622a9a65c0d4f66e79cb2e8f22a9f9e2edefad67ee6c151ee09027ed3927be65228780cdbe606a0abe59209243
+DIST erlang-25.1.2.tar.gz 59975596 BLAKE2B d86e90f121cc1252301b88ce3551a9f4085aa169238e8625dac5d86c13e832e7eec60286dc26cef773b8db484528e49983ad30cc353228cd2915bf96252c4a9d SHA512 a478799cb7df70a552043da55757b811e8b97182be15ab928e05b58537bb7bc4899aee406648767f538d8bd5c09e0a9d7e3655c99a8df0e6a0b77db83a720fb8
DIST erlang_doc_html_24.3.tar.gz 36645792 BLAKE2B ef90b7d05ed43656ab1ffdbbd0833c9da08a867ad7a99ec0f7f1eb59697c1f9cd5ccd150b2e564af80b2098f063da0c76121d4444b5444e603581442ad1c7bc8 SHA512 b8d3832ffdbdede656b362d719474f7b9ff04a32ea7235e77d63755629cf9305c203cd6cd9ae089171b2cee694f9641d6ed5d0197e2acf893a31d25696096f1e
DIST erlang_doc_html_25.0.tar.gz 37051192 BLAKE2B 2d79ccb3b850b199de0a7da83c6358b9f3cf63826aeddb54307640129c1f96689200895c3c3ec52f503362945e7c6083a7317cd4ea57dc7d6772844801843c74 SHA512 6ce8423705f86fb2cd403e9c51089d7b2569ba93498f9143b5dbac85eb10b403c4bc948f8a68e55c40116cdd9a93f050bb037f94fc3c8651175d9065d2c598be
DIST erlang_doc_html_25.1.tar.gz 37197742 BLAKE2B 432e89471cfbf15ba35507f66958df559e38d5a4be1b4fe07e2abdaaacc1642dd9e55c2d67ce893fa108c38e25929cb58fb4de2474ec69273222b3ef0a7e0a5d SHA512 3e39f505030a3d0422b4a79f31a2af830eeff5076c3dddeafd336d0a91a4ac895a92a17cf5b4f6265d0a4b150c0548ecd0cc38174ce0488a5328e16307eaedc3
diff --git a/dev-lang/erlang/erlang-25.1.2.ebuild b/dev-lang/erlang/erlang-25.1.2.ebuild
new file mode 100644
index 000000000000..ed72f4f42e78
--- /dev/null
+++ b/dev-lang/erlang/erlang-25.1.2.ebuild
@@ -0,0 +1,173 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+WX_GTK_VER="3.0-gtk3"
+
+inherit elisp-common flag-o-matic java-pkg-opt-2 systemd toolchain-funcs wxwidgets
+
+# NOTE: If you need symlinks for binaries please tell maintainers or
+# open up a bug to let it be created.
+
+UPSTREAM_V="$(ver_cut 1-2)"
+
+DESCRIPTION="Erlang programming language, runtime environment and libraries (OTP)"
+HOMEPAGE="https://www.erlang.org/"
+SRC_URI="https://github.com/erlang/otp/archive/OTP-${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/erlang/otp/releases/download/OTP-${UPSTREAM_V}/otp_doc_man_${UPSTREAM_V}.tar.gz -> ${PN}_doc_man_${UPSTREAM_V}.tar.gz
+ doc? ( https://github.com/erlang/otp/releases/download/OTP-${UPSTREAM_V}/otp_doc_html_${UPSTREAM_V}.tar.gz -> ${PN}_doc_html_${UPSTREAM_V}.tar.gz )"
+
+LICENSE="Apache-2.0"
+# We use this subslot because Compiled HiPE Code can be loaded on the exact
+# same build of ERTS that was used when compiling the code. See
+# http://erlang.org/doc/system_principles/misc.html for more information.
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="doc emacs java +kpoll odbc sctp ssl systemd tk wxwidgets"
+
+RDEPEND="
+ acct-group/epmd
+ acct-user/epmd
+ sys-libs/ncurses:0
+ sys-libs/zlib
+ emacs? ( >=app-editors/emacs-23.1:* )
+ java? ( >=virtual/jdk-1.8:* )
+ odbc? ( dev-db/unixODBC )
+ sctp? ( net-misc/lksctp-tools )
+ ssl? ( >=dev-libs/openssl-0.9.7d:0= )
+ systemd? ( sys-apps/systemd )
+ wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER}[X,opengl] )
+"
+DEPEND="${RDEPEND}
+ dev-lang/perl
+"
+
+S="${WORKDIR}/otp-OTP-${PV}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-22.0-dont-ignore-LDFLAGS.patch
+ "${FILESDIR}"/${PN}-24.0.2-serial-configure.patch
+)
+
+SITEFILE=50"${PN}"-gentoo.el
+
+src_prepare() {
+ default
+
+ tc-export AR CPP CXX LD
+
+ # bug #797886: erlang's VM does unsafe casts for ints
+ # to pointers and back. This breaks on gcc-11 -flto.
+ append-flags -fno-strict-aliasing
+}
+
+src_configure() {
+ use wxwidgets && setup-wxwidgets
+
+ local myconf=(
+ --disable-builtin-zlib
+
+ # don't search for static zlib
+ --with-ssl-zlib=no
+
+ $(use_enable kpoll kernel-poll)
+ $(use_with java javac)
+ $(use_enable sctp)
+ $(use_with ssl ssl)
+ $(use_enable ssl dynamic-ssl-lib)
+ $(use_enable systemd)
+ $(usex wxwidgets "--with-wx-config=${WX_CONFIG}" "--with-wxdir=/dev/null")
+ )
+ econf "${myconf[@]}"
+}
+
+src_compile() {
+ emake
+
+ if use doc ; then
+ emake docs DOC_TARGETS=chunks
+ fi
+
+ if use emacs ; then
+ pushd lib/tools/emacs &>/dev/null || die
+ elisp-compile *.el
+ popd &>/dev/null || die
+ fi
+}
+
+extract_version() {
+ local path="$1"
+ local var_name="$2"
+ sed -n -e "/^${var_name} = \(.*\)$/s::\1:p" "${S}/${path}/vsn.mk" || die "extract_version() failed"
+}
+
+src_install() {
+ local erl_libdir_rel="$(get_libdir)/erlang"
+ local erl_libdir="/usr/${erl_libdir_rel}"
+ local erl_interface_ver="$(extract_version lib/erl_interface EI_VSN)"
+ local erl_erts_ver="$(extract_version erts VSN)"
+ local my_manpath="/usr/share/${PN}/man"
+
+ [[ -z "${erl_erts_ver}" ]] && die "Couldn't determine erts version"
+ [[ -z "${erl_interface_ver}" ]] && die "Couldn't determine interface version"
+
+ emake INSTALL_PREFIX="${D}" install
+
+ if use doc ; then
+ emake INSTALL_PREFIX="${D}" install-docs DOC_TARGETS=chunks
+
+ # Note: we explicitly install docs into:
+ # /usr/share/doc/${PF}/{doc,lib,erts-*}
+ # To maintain that layout we gather everything in 'html-docs'.
+ # See bug #684376.
+ mkdir html-docs || die
+ mv "${WORKDIR}"/doc "${WORKDIR}"/lib "${WORKDIR}"/erts-* html-docs/ || die
+ local DOCS=( "AUTHORS" "HOWTO"/* "README.md" "CONTRIBUTING.md" html-docs/. )
+ docompress -x /usr/share/doc/${PF}
+ else
+ local DOCS=("README.md")
+ fi
+
+ einstalldocs
+
+ dosym "../${erl_libdir_rel}/bin/erl" /usr/bin/erl
+ dosym "../${erl_libdir_rel}/bin/erlc" /usr/bin/erlc
+ dosym "../${erl_libdir_rel}/bin/escript" /usr/bin/escript
+ dosym "../${erl_libdir_rel}/lib/erl_interface-${erl_interface_ver}/bin/erl_call" /usr/bin/erl_call
+ dosym "../${erl_libdir_rel}/erts-${erl_erts_ver}/bin/beam.smp" /usr/bin/beam.smp
+
+ ## Clean up the no longer needed files
+ rm "${ED}/${erl_libdir}/Install" || die
+
+ insinto "${my_manpath}"
+ doins -r "${WORKDIR}"/man/*
+ # extend MANPATH, so the normal man command can find it
+ # see bug 189639
+ newenvd - "90erlang" <<-_EOF_
+ MANPATH="${my_manpath}"
+ _EOF_
+
+ if use emacs ; then
+ elisp-install erlang lib/tools/emacs/*.{el,elc}
+ sed -e "s:/usr/share:${EPREFIX}/usr/share:g" \
+ "${FILESDIR}/${SITEFILE}" > "${T}/${SITEFILE}" || die
+ elisp-site-file-install "${T}/${SITEFILE}"
+ fi
+
+ newinitd "${FILESDIR}"/epmd.init-r3 epmd
+ use systemd && systemd_newunit "${FILESDIR}"/epmd.service-r1 epmd.service
+}
+
+src_test() {
+ # Only run a subset of tests to test that everything was built
+ # successfully, otherwise we will be here for a long time.
+ emake kernel_test ARGS="-suite os_SUITE"
+}
+
+pkg_postinst() {
+ use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+ use emacs && elisp-site-regen
+}
next reply other threads:[~2022-11-10 10:52 UTC|newest]
Thread overview: 369+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-11-10 10:52 Matthew Smith [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-17 15:43 [gentoo-commits] repo/gentoo:master commit in: dev-lang/erlang/ Patrick Lauer
2024-08-03 13:04 Matthew Smith
2024-05-24 9:09 Matthew Smith
2024-02-25 18:04 Matthew Smith
2024-01-12 21:39 Sam James
2023-12-30 6:38 Arthur Zamarin
2023-12-25 19:17 Arthur Zamarin
2023-12-25 17:21 Sam James
2023-12-25 15:18 Sam James
2023-12-25 10:42 Sam James
2023-12-25 9:03 Matthew Smith
2023-12-16 11:20 Matthew Smith
2023-11-17 13:38 Matthew Smith
2023-11-17 13:38 Matthew Smith
2023-10-11 12:21 Matthew Smith
2023-10-08 8:50 Matthew Smith
2023-10-06 8:35 Matthew Smith
2023-10-04 18:32 Arthur Zamarin
2023-10-04 15:28 Sam James
2023-10-04 12:10 Sam James
2023-10-04 10:00 Matthew Smith
2023-05-27 9:43 Sam James
2023-05-27 9:43 Sam James
2023-05-19 9:32 Arthur Zamarin
2023-05-18 19:42 Sam James
2023-05-18 19:17 Arthur Zamarin
2023-05-18 16:48 Matthew Smith
2023-04-01 15:13 罗百科
2023-04-01 15:13 罗百科
2023-02-05 9:32 Matthew Smith
2022-12-04 17:56 Arthur Zamarin
2022-12-03 18:20 Arthur Zamarin
2022-12-03 15:41 Arthur Zamarin
2022-12-03 11:39 Arthur Zamarin
2022-12-03 9:04 Arthur Zamarin
2022-11-25 8:56 Matthew Smith
2022-09-25 8:47 Matthew Smith
2022-09-24 18:29 Agostino Sarubbo
2022-09-24 7:15 Arthur Zamarin
2022-09-24 7:15 Arthur Zamarin
2022-09-24 5:24 Agostino Sarubbo
2022-09-24 3:15 Sam James
2022-09-23 8:12 Matthew Smith
2022-09-16 19:58 Arthur Zamarin
2022-09-15 19:58 Arthur Zamarin
2022-09-10 6:43 Jakov Smolić
2022-09-10 4:46 Sam James
2022-09-09 22:26 Jakov Smolić
2022-09-09 11:11 Matthew Smith
2022-08-20 7:13 Matthew Smith
2022-08-20 7:13 Matthew Smith
2022-08-15 7:46 Agostino Sarubbo
2022-08-15 7:44 Agostino Sarubbo
2022-08-15 7:43 Agostino Sarubbo
2022-08-15 7:40 Agostino Sarubbo
2022-08-14 16:33 Arthur Zamarin
2022-08-08 18:08 Matthew Smith
2022-07-09 9:26 Matthew Smith
2022-07-09 9:26 Matthew Smith
2022-07-03 10:50 Agostino Sarubbo
2022-07-03 10:49 Agostino Sarubbo
2022-07-02 18:18 Sam James
2022-07-02 16:05 Jakov Smolić
2022-07-02 12:59 Arthur Zamarin
2022-05-18 16:48 Matthew Smith
2022-05-05 14:35 Matthew Smith
2022-05-05 14:35 Matthew Smith
2022-04-20 16:30 Matthew Smith
2022-04-19 16:43 Arthur Zamarin
2022-04-19 13:35 Arthur Zamarin
2022-04-19 13:22 Arthur Zamarin
2022-04-19 13:07 Arthur Zamarin
2022-04-19 12:13 Arthur Zamarin
2022-04-19 12:13 Arthur Zamarin
2022-04-19 6:12 Jakov Smolić
2022-04-19 6:12 Jakov Smolić
2022-04-19 6:12 Jakov Smolić
2022-04-19 6:12 Jakov Smolić
2022-03-31 16:33 Matthew Smith
2022-03-31 16:33 Matthew Smith
2022-03-27 9:25 Matthew Smith
2022-03-25 20:02 Florian Schmaus
2022-03-21 9:15 Jakov Smolić
2022-03-21 7:48 Agostino Sarubbo
2022-03-21 7:48 Agostino Sarubbo
2022-03-21 7:48 Agostino Sarubbo
2022-03-21 7:47 Agostino Sarubbo
2022-03-19 9:30 Matthew Smith
2022-03-12 20:19 Matthew Smith
2022-03-12 20:19 Matthew Smith
2022-03-12 8:36 Matthew Smith
2022-03-10 10:10 Jakov Smolić
2022-03-07 17:52 Matthew Smith
2022-03-05 14:46 Matthew Smith
2022-02-19 12:02 Arthur Zamarin
2022-02-19 9:01 Arthur Zamarin
2022-02-19 8:11 Arthur Zamarin
2022-01-27 17:41 Florian Schmaus
2021-12-27 1:38 Sam James
2021-12-04 9:06 Joonas Niilola
2021-12-04 9:06 Joonas Niilola
2021-11-07 8:34 罗百科
2021-07-24 17:30 Sergei Trofimovich
2021-07-23 7:33 Sergei Trofimovich
2021-07-17 11:22 Sergei Trofimovich
2021-07-09 6:26 Agostino Sarubbo
2021-07-08 15:53 Sergei Trofimovich
2021-07-07 6:31 Agostino Sarubbo
2021-07-07 2:17 Sam James
2021-07-05 7:49 Sergei Trofimovich
2021-06-24 22:56 Sergei Trofimovich
2021-06-20 7:52 Agostino Sarubbo
2021-06-20 7:51 Agostino Sarubbo
2021-06-19 23:54 Sam James
2021-06-19 23:51 Sam James
2021-06-19 23:51 Sam James
2021-06-19 9:01 Sergei Trofimovich
2021-06-13 6:30 Agostino Sarubbo
2021-06-13 6:28 Agostino Sarubbo
2021-06-13 6:04 Sam James
2021-06-13 3:45 Sam James
2021-06-12 13:46 Sam James
2021-06-05 10:50 Sergei Trofimovich
2021-05-21 22:25 Sergei Trofimovich
2021-05-16 13:16 Sergei Trofimovich
2021-05-15 13:58 Sergei Trofimovich
2021-05-10 21:38 Sergei Trofimovich
2021-05-09 11:53 Sergei Trofimovich
2021-05-09 11:53 Sergei Trofimovich
2021-05-06 18:15 Sergei Trofimovich
2021-05-04 19:12 Sam James
2021-05-03 16:57 Sam James
2021-05-03 16:55 Sam James
2021-05-03 16:51 Sam James
2021-05-02 9:24 Sergei Trofimovich
2021-05-01 20:44 Sergei Trofimovich
2021-04-30 8:44 Sergei Trofimovich
2021-04-28 18:16 Sergei Trofimovich
2021-04-24 12:37 Sergei Trofimovich
2021-04-11 11:06 Sam James
2021-04-07 22:47 Sam James
2021-04-07 6:24 Sam James
2021-04-01 17:55 Sergei Trofimovich
2021-03-27 8:18 Sergei Trofimovich
2021-03-06 10:13 Sergei Trofimovich
2021-03-03 23:06 Sergei Trofimovich
2021-02-27 21:26 Sergei Trofimovich
2021-02-27 10:44 Sam James
2021-02-27 10:08 Sam James
2021-02-26 14:40 Agostino Sarubbo
2021-02-26 14:03 Sam James
2021-02-26 13:59 Sam James
2021-02-26 10:25 Sergei Trofimovich
2021-02-21 5:41 Sam James
2021-02-21 4:04 Sam James
2021-02-21 4:04 Sam James
2021-02-21 0:47 Sam James
2021-02-21 0:47 Sam James
2021-02-17 9:05 Sergei Trofimovich
2021-02-14 12:10 Sergei Trofimovich
2021-02-12 13:46 Sam James
2021-02-05 15:26 Sam James
2021-02-05 15:25 Sam James
2021-02-05 12:31 Sam James
2021-02-05 10:42 Sam James
2021-02-05 10:13 Sergei Trofimovich
2021-01-28 8:09 Sergei Trofimovich
2021-01-25 2:12 Sam James
2021-01-24 13:35 Sam James
2021-01-23 11:28 Sergei Trofimovich
2021-01-23 11:28 Sergei Trofimovich
2021-01-21 7:40 Agostino Sarubbo
2021-01-20 7:41 Agostino Sarubbo
2021-01-19 7:04 Sergei Trofimovich
2021-01-18 1:41 Sam James
2021-01-16 13:13 Sergei Trofimovich
2021-01-11 17:34 Sergei Trofimovich
2021-01-10 22:29 Sam James
2021-01-09 16:23 Sam James
2021-01-09 16:23 Sam James
2021-01-09 11:55 Sergei Trofimovich
2020-12-27 12:32 Sergei Trofimovich
2020-12-27 12:28 Sergei Trofimovich
2020-12-27 11:38 Sergei Trofimovich
2020-12-26 19:35 Sam James
2020-12-26 19:26 Sergei Trofimovich
2020-12-17 23:23 Sergei Trofimovich
2020-12-08 18:52 Sergei Trofimovich
2020-11-26 8:38 Sergei Trofimovich
2020-11-21 11:37 Sergei Trofimovich
2020-11-20 22:16 Sergei Trofimovich
2020-11-18 15:07 Agostino Sarubbo
2020-11-18 15:06 Agostino Sarubbo
2020-11-18 15:06 Agostino Sarubbo
2020-11-18 13:45 Joonas Niilola
2020-11-18 9:01 Sam James
2020-11-18 8:26 Sergei Trofimovich
2020-11-14 20:32 Sam James
2020-11-07 20:37 Sergei Trofimovich
2020-11-07 20:34 Sergei Trofimovich
2020-11-07 20:22 Sergei Trofimovich
2020-11-02 10:21 Sergei Trofimovich
2020-10-08 8:00 Sergei Trofimovich
2020-10-07 6:54 Agostino Sarubbo
2020-10-07 6:53 Agostino Sarubbo
2020-10-07 6:50 Agostino Sarubbo
2020-10-06 22:20 Sergei Trofimovich
2020-10-06 22:20 Sergei Trofimovich
2020-09-24 22:50 Sergei Trofimovich
2020-09-07 8:20 Sergei Trofimovich
2020-09-03 22:25 Sergei Trofimovich
2020-08-23 8:52 Sergei Trofimovich
2020-08-16 14:50 Agostino Sarubbo
2020-08-16 14:48 Agostino Sarubbo
2020-08-16 14:46 Agostino Sarubbo
2020-08-16 9:53 Sergei Trofimovich
2020-08-11 14:23 Agostino Sarubbo
2020-08-11 14:18 Agostino Sarubbo
2020-08-10 12:04 Agostino Sarubbo
2020-07-11 15:54 Sergei Trofimovich
2020-07-04 21:23 Sergei Trofimovich
2020-07-01 21:43 Sergei Trofimovich
2020-06-28 22:43 Sergei Trofimovich
2020-06-21 17:12 Agostino Sarubbo
2020-06-21 17:08 Agostino Sarubbo
2020-06-21 16:54 Agostino Sarubbo
2020-06-20 19:49 Sergei Trofimovich
2020-06-20 15:45 Thomas Deutschmann
2020-06-15 15:16 Agostino Sarubbo
2020-06-15 15:12 Agostino Sarubbo
2020-06-15 15:08 Agostino Sarubbo
2020-06-15 15:06 Agostino Sarubbo
2020-06-15 14:59 Agostino Sarubbo
2020-05-29 22:13 Sergei Trofimovich
2020-05-28 15:45 Agostino Sarubbo
2020-05-28 15:43 Agostino Sarubbo
2020-05-26 19:31 Agostino Sarubbo
2020-05-25 9:36 Sergei Trofimovich
2020-05-25 9:29 Sergei Trofimovich
2020-05-20 21:43 Sergei Trofimovich
2020-05-13 18:44 Sergei Trofimovich
2020-05-09 14:56 Sergei Trofimovich
2020-05-02 17:51 Sergei Trofimovich
2020-04-28 18:31 Sergei Trofimovich
2020-04-20 9:50 Agostino Sarubbo
2020-04-20 9:48 Agostino Sarubbo
2020-04-19 12:16 Agostino Sarubbo
2020-04-18 9:18 Agostino Sarubbo
2020-04-18 8:24 Sergei Trofimovich
2020-04-10 11:12 Sergei Trofimovich
2020-04-10 11:12 Sergei Trofimovich
2020-04-08 22:04 Sergei Trofimovich
2020-04-03 13:11 Agostino Sarubbo
2020-04-03 12:19 Agostino Sarubbo
2020-04-03 12:16 Agostino Sarubbo
2020-04-03 12:12 Agostino Sarubbo
2020-04-03 9:02 Agostino Sarubbo
2020-03-23 23:58 Sergei Trofimovich
2020-03-22 15:02 Agostino Sarubbo
2020-03-22 11:10 Agostino Sarubbo
2020-03-22 11:09 Agostino Sarubbo
2020-03-22 11:09 Agostino Sarubbo
2020-03-22 11:07 Agostino Sarubbo
2020-03-16 23:43 Sergei Trofimovich
2020-03-01 19:41 Sergei Trofimovich
2020-02-26 21:46 Sergei Trofimovich
2020-02-26 12:52 Sergei Trofimovich
2020-02-13 0:20 Sergei Trofimovich
2020-02-12 22:32 Sergei Trofimovich
2020-02-11 11:30 Agostino Sarubbo
2020-02-11 11:09 Agostino Sarubbo
2020-02-11 10:58 Agostino Sarubbo
2020-02-11 9:51 Agostino Sarubbo
2020-02-11 9:43 Agostino Sarubbo
2020-02-09 11:46 Sergei Trofimovich
2020-02-05 23:42 Sergei Trofimovich
2020-01-29 22:43 Sergei Trofimovich
2020-01-20 22:47 Sergei Trofimovich
2020-01-14 23:31 Sergei Trofimovich
2020-01-14 23:31 Sergei Trofimovich
2019-12-22 6:44 Ulrich Müller
2019-12-21 16:50 Sergei Trofimovich
2019-12-21 16:50 Sergei Trofimovich
2019-12-10 19:39 Sergei Trofimovich
2019-12-10 8:55 Agostino Sarubbo
2019-12-07 13:47 Sergei Trofimovich
2019-12-03 10:07 Agostino Sarubbo
2019-12-01 15:38 Thomas Deutschmann
2019-12-01 14:21 Agostino Sarubbo
2019-12-01 14:01 Sergei Trofimovich
2019-11-22 10:31 Sergei Trofimovich
2019-11-17 4:16 Matt Turner
2019-11-12 19:37 Sergei Trofimovich
2019-11-08 7:54 Sergei Trofimovich
2019-11-01 23:50 Sergei Trofimovich
2019-10-24 11:41 Agostino Sarubbo
2019-10-24 11:40 Agostino Sarubbo
2019-10-23 12:45 Agostino Sarubbo
2019-10-23 12:30 Agostino Sarubbo
2019-10-21 17:27 Sergei Trofimovich
2019-10-11 6:51 Sergei Trofimovich
2019-10-11 6:51 Sergei Trofimovich
2019-09-18 15:57 Hans de Graaff
2019-09-18 12:44 Hans de Graaff
2019-06-06 3:31 Aaron Bauman
2019-05-01 9:40 Fabian Groffen
2019-03-14 6:29 Patrick Lauer
2019-03-08 13:28 Anthony G. Basile
2019-03-03 16:44 Patrick Lauer
2019-02-18 6:44 Mikle Kolyada
2019-02-15 1:37 Thomas Deutschmann
2019-02-07 13:05 Mikle Kolyada
2019-02-02 21:17 Sergei Trofimovich
2019-02-01 20:00 Tobias Klausmann
2019-02-01 7:17 Sergei Trofimovich
2019-01-31 21:51 Sergei Trofimovich
2019-01-28 12:16 Mikle Kolyada
2019-01-27 11:05 Pacho Ramos
2018-10-30 10:25 Jeroen Roovers
2018-10-22 10:38 Jeroen Roovers
2018-09-20 17:08 Patrick Lauer
2018-09-18 6:58 Michał Górny
2018-09-17 19:12 Michał Górny
2018-08-08 15:21 Guilherme Amadio
2018-07-07 18:02 Patrick Lauer
2018-06-25 13:36 Tobias Klausmann
2018-06-17 10:21 Sergei Trofimovich
2018-05-27 15:33 Mikle Kolyada
2018-05-27 14:14 Thomas Deutschmann
2018-04-01 12:42 Pacho Ramos
2018-03-28 19:01 Pacho Ramos
2018-03-25 21:06 Aaron Bauman
2018-03-25 20:34 Aaron Bauman
2018-02-21 22:56 Sergei Trofimovich
2018-02-06 18:55 Thomas Deutschmann
2017-12-13 17:11 Patrick Lauer
2017-11-04 9:00 Jeroen Roovers
2017-11-03 16:15 Jeroen Roovers
2017-10-17 13:07 Jeroen Roovers
2017-10-16 15:57 Patrick Lauer
2017-07-18 10:54 Pacho Ramos
2017-07-18 10:54 Pacho Ramos
2017-07-18 10:54 Pacho Ramos
2017-07-18 8:26 Dirkjan Ochtman
2017-07-18 8:26 Dirkjan Ochtman
2017-05-27 23:00 Patrice Clement
2017-04-22 10:16 Dirkjan Ochtman
2017-04-22 10:16 Dirkjan Ochtman
2017-04-08 21:57 Patrice Clement
2017-01-25 13:26 Tobias Klausmann
2017-01-24 11:46 Agostino Sarubbo
2017-01-21 17:16 Agostino Sarubbo
2017-01-20 21:22 Dirkjan Ochtman
2016-09-24 8:52 Dirkjan Ochtman
2016-08-21 7:08 Dirkjan Ochtman
2016-08-21 7:07 Dirkjan Ochtman
2016-08-08 8:39 Andrew Savchenko
2016-07-13 16:23 Jeroen Roovers
2016-07-05 18:38 Dirkjan Ochtman
2016-06-11 16:44 Agostino Sarubbo
2016-06-01 15:10 Tobias Klausmann
2016-05-13 10:15 Dirkjan Ochtman
2016-04-13 16:46 Dirkjan Ochtman
2016-02-28 7:15 Matt Thode
2016-01-09 15:05 Dirkjan Ochtman
2015-10-25 11:51 Pacho Ramos
2015-09-22 5:40 Jeroen Roovers
2015-09-20 13:44 Julian Ospald
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1668077503.3a080390a48b6894c9c3d2d842865d5c6a6df68c.matthew@gentoo \
--to=matthew@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox